#import "@preview/wrap-it:0.1.0": wrap-content
#import "@preview/big-todo:0.2.0": *
#import "@preview/cetz:0.2.2": canvas, draw, tree

#let add(s) = todo(inline: true, s)

#let hightlightBgColor = luma(80%)

#let path(segments) = {
  let e = 0.2em
  box(inset: (x: e, y: e), fill: hightlightBgColor, radius: 3pt, baseline: e, {
    for (idx, s) in segments.enumerate() {
      let f = "DejaVu Sans Mono" // I think this is the default mono font. See https://github.com/typst/typst/issues/2870
      text(font: f, size: 9pt, s)
      if idx + 1 != segments.len() {
        $->$
      }
    }
  })
}